/**
 * ActContainer2.java
 *
 * File generated from the medication2::ActContainer2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActContainer2.
 *
 * 
 */

@XmlType(name = "ActContainer")
@XmlEnum
@XmlRootElement(name = "ActContainer2")
public enum ActContainer2 {
	@XmlEnumValue("FOLDER")
	FOLDER("FOLDER"),
	@XmlEnumValue("COMPOSITION")
	COMPOSITION("COMPOSITION"),
	@XmlEnumValue("DOC")
	DOC("DOC"),
	@XmlEnumValue("DOCCLIN")
	DOCCLIN("DOCCLIN"),
	@XmlEnumValue("CDALVLONE")
	CDALVLONE("CDALVLONE"),
	@XmlEnumValue("ENTRY")
	ENTRY("ENTRY"),
	@XmlEnumValue("BATTERY")
	BATTERY("BATTERY"),
	@XmlEnumValue("CLUSTER")
	CLUSTER("CLUSTER"),
	@XmlEnumValue("EXTRACT")
	EXTRACT("EXTRACT"),
	@XmlEnumValue("EHR")
	EHR("EHR"),
	@XmlEnumValue("ORGANIZER")
	ORGANIZER("ORGANIZER"),
	@XmlEnumValue("CATEGORY")
	CATEGORY("CATEGORY"),
	@XmlEnumValue("DOCBODY")
	DOCBODY("DOCBODY"),
	@XmlEnumValue("DOCSECT")
	DOCSECT("DOCSECT"),
	@XmlEnumValue("TOPIC")
	TOPIC("TOPIC");
	
	private final String value;

    ActContainer2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActContainer2 fromValue(String v) {
        for (ActContainer2 c: ActContainer2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
